Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.semanticweb.owlapi.owllink.builtin.requests
Class AbstractKBRequestWithTwoOrMoreObjects<R extends KBResponse,O>

    java.lang.Object
      org.semanticweb.owlapi.owllink.builtin.requests.AbstractKBRequest<R>
          org.semanticweb.owlapi.owllink.builtin.requests.AbstractKBRequestWithTwoOrMoreObjects<R,O>

All Implemented Interfaces:
  java.lang.Iterable<O>, KBRequest<R>, Request<R>

    public abstract class AbstractKBRequestWithTwoOrMoreObjects<R extends KBResponse,O>

extends AbstractKBRequest<R>
implements java.lang.Iterable<O>

Created by IntelliJ IDEA. Author: Olaf Noppens Date: 23.10.2009

Field Summary
`protected java.util.Set<O>` | `elements`

Constructor Summary
`AbstractKBRequestWithTwoOrMoreObjects(IRI kb, java.util.Collection<O> elements)`
`AbstractKBRequestWithTwoOrMoreObjects(IRI kb, O... elem)`

Method Summary
`java.util.Set<O>` | `getElements()`
`java.util.Iterator<O>` | `iterator()`

Methods inherited from class org.semanticweb.owlapi.owllink.builtin.requests.AbstractKBRequest
`getKB`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.semanticweb.owlapi.owllink.builtin.Request
`accept`

Field Detail

### elements

    protected java.util.Set<O> elements

Constructor Detail

### AbstractKBRequestWithTwoOrMoreObjects

    public AbstractKBRequestWithTwoOrMoreObjects(IRI kb,
                                                 java.util.Collection<O> elements)

### AbstractKBRequestWithTwoOrMoreObjects

    public AbstractKBRequestWithTwoOrMoreObjects(IRI kb,
                                                 O... elem)

Method Detail

### getElements

    public java.util.Set<O> getElements()

### iterator

    public java.util.Iterator<O> iterator()

  Specified by:
    `iterator` in interface `java.lang.Iterable<O>`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD